# GPX Overlayer

This software is a command line tool that reads a given GPX file
and interprets the data as speed and elevation, interpolating the
values and generates still images to be used as an overlay for 
action camera videos. It is aimed at Linux systems since there's
a lack of this type of software in this platform that's easy to
use and install.

## Installing

Make sure you have python version 3 available.

Install virtualenv: `$ apt-get install python3-virtualenv` (Debian & Ubuntu)
                    `$ dnf install python3-virtualenv`

Clone this repository and create a virtualenv in the newly created
repository:

```
$ virtualenv gpx-overlayer
```

Go into the directory and activate the virtualenv

```
$ cd gpx-overlayer
$ source bin/activate
```

Now install the requirements:

```
$ pip install -r requirements.txt
```

Now you can run the program. Remember to activate the virtualenv before 
running.

## Usage

The program needs two parameters; the GPX file, and where to output the 
still images. You can also use the `--fps` parameter to specify the 
frames per second you need (by default, it will 30 frames per second).

After the program has run, the specified directory will be filled with
a lot of `.png` images named `still-xxxxxxxx.png` that you can then
import into your favourite video editor as an image sequence or you can
run `ffmpeg` to generate a video.
