#!/usr/bin/env python

from math import radians, sin, cos, atan2, sqrt

EARTH_RADIUS_IN_METERS = 6371007.177356707


def get_meters(lat1, long1, lat2, long2):
    lat_diff = radians(abs(lat2 - lat1))
    lng_diff = radians(abs(long2 - long1))

    a = sin(lat_diff/2) * sin(lat_diff/2) + \
        cos(radians(lat1)) * cos(radians(lat2)) * \
        sin(lng_diff / 2) * sin(lng_diff / 2)

    c = 2 * atan2(sqrt(a), sqrt(1 - a))

    return EARTH_RADIUS_IN_METERS * c
