
import cairo


def initialize(width, height):
    """
    Creates a Cairo Context and initializes it
    """
    surface = cairo.ImageSurface(cairo.FORMAT_ARGB32, width, height)
    ctx = cairo.Context(surface)
    ctx.set_antialias(cairo.ANTIALIAS_GOOD)
    return ctx


def set_background(ctx, red, green, blue, alpha=1.0):
    """
    Sets the background to a color
    """
    target = ctx.get_target()
    width = target.get_width()
    height = target.get_height()

    ctx.set_source_rgba(red, green, blue, alpha)

    ctx.rectangle(0, 0, width, height)
    ctx.fill()


def save_to_file(ctx, filename):
    """
    Creates the PNG image out of the given context
    """
    target = ctx.get_target()
    target.write_to_png(filename)
