#!/usr/bin/env python

import math


from parser import parse_gpx
from time import sleep


FPS = 30.0


def create_speed_bar(current_speed, max_speed, bar_size=10):
    percent = current_speed / max_speed
    fill_bars = math.floor(bar_size * percent)
    return ("█" * fill_bars) + ("░" * (bar_size - fill_bars))


if __name__ == "__main__":
    data = parse_gpx('../data/2019_08_08_1.gpx', FPS)
    max_speed = data.get_maximum('speed')

    print(f"Replaying at {FPS} FPS")

    for elem in data.get_datapoints():
        speed_bar = create_speed_bar(elem[0], max_speed, 50)
        print("Speed: {} {:.0f} km/h - Elevation: {:.0f} meters    ".format(speed_bar, elem[0], elem[1]), end="\r")
        sleep(1/FPS)
